package com.foxconn.countersign;

import java.util.List;

import org.jbpm.api.Configuration;
import org.jbpm.api.Execution;
import org.jbpm.api.ExecutionService;
import org.jbpm.api.ProcessEngine;
import org.jbpm.api.ProcessInstance;
import org.jbpm.api.RepositoryService;
import org.jbpm.api.TaskService;
import org.jbpm.api.task.Task;

import junit.framework.TestCase;



public class CounterSign extends TestCase{
	
	public void testCounter(){
		ProcessEngine processEngine=Configuration.getProcessEngine();
		RepositoryService repositoryService=processEngine.getRepositoryService();
		ExecutionService executionService=processEngine.getExecutionService();
		repositoryService.createDeployment().addResourceFromClasspath("CounterSign.jpdl.xml").deploy();
		ProcessInstance pi=executionService.startProcessInstanceByKey("CounterSign");
		Execution execution=pi.findActiveExecutionIn("assignTask");
		System.out.println(pi.findActiveActivityNames());
//		pi=executionService.signalExecutionById(execution.getId(),"to state1");
//		assertTrue(pi.isActive("state1"));
		
		TaskService taskService=processEngine.getTaskService();
		List<Task> list1=taskService.findPersonalTasks("lizhi");
		System.out.println(list1.size());
		List<Task> list2=taskService.findPersonalTasks("zhili");
		System.out.println(list2.size());
		taskService.completeTask(list1.get(0).getId());
		taskService.completeTask(list2.get(0).getId());
		pi=executionService.signalExecutionById(execution.getId(),"to state1");
		assertTrue(pi.isActive("state1"));
		
		
	}
	
}
